Bug 734928 - certmaster fails to start on f16 (selinux denial)
Summary: certmaster fails to start on f16 (selinux denial)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 21:20 UTC by Sven Lankes
Modified: 2018-05-17 14:22 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.10.0-28.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 15:13:55 UTC


Attachments (Terms of Use)

Description Sven Lankes 2011-08-31 21:20:15 UTC
certmaster fails to start on f16 because of the following selinux-denials:

[ 8515.028892] type=1400 audit(1314825181.026:20): avc:  denied  { read } for  pid=1776 comm="certmaster" name="urandom" dev=devtmpfs ino=1033 scontext=system_u:system_r:certmaster_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
[ 8515.472328] type=1400 audit(1314825181.470:21): avc:  denied  { read } for  pid=1776 comm="certmaster" name="urandom" dev=devtmpfs ino=1033 scontext=system_u:system_r:certmaster_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
[ 8515.472529] type=1400 audit(1314825181.470:22): avc:  denied  { read } for  pid=1776 comm="certmaster" name="random" dev=devtmpfs ino=1032 scontext=system_u:system_r:certmaster_t:s0 tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file

"setenforce permissive" let's it start.

Comment 1 Daniel Walsh 2011-09-06 14:56:15 UTC
Probably needed for RHEL6 F14, F15.


I checked fix into policy pool

Comment 2 Miroslav Grepl 2011-09-08 12:00:44 UTC
Added.

Comment 3 Fedora Update System 2011-09-13 20:41:33 UTC
selinux-policy-3.10.0-28.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-28.fc16

Comment 4 Fedora Update System 2011-09-13 22:20:34 UTC
Package selinux-policy-3.10.0-28.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-28.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-28.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-15 15:13:29 UTC
selinux-policy-3.10.0-28.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.